## org.eclipse.emf.cdo.common.io
Class CDOXORStreamWrapperInjector

    java.lang.Object
      org.eclipse.net4j.signal.wrapping.StreamWrapperInjector
          org.eclipse.net4j.signal.wrapping.XORStreamWrapperInjector
              org.eclipse.emf.cdo.common.io.CDOXORStreamWrapperInjector

All Implemented Interfaces:
  org.eclipse.net4j.util.container.IElementProcessor

    public class CDOXORStreamWrapperInjector

extends org.eclipse.net4j.signal.wrapping.XORStreamWrapperInjector

Since:
  2.0

Constructor Summary
`CDOXORStreamWrapperInjector()`

Method Summary

Methods inherited from class org.eclipse.net4j.signal.wrapping.StreamWrapperInjector
`getProtocolID, getStreamWrapper, inject, process, shouldInject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOXORStreamWrapperInjector

    public CDOXORStreamWrapperInjector()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.